Export (0) Print
Expand All

CodeDomProvider.CreateCompiler Method

NOTE: This method is now obsolete.

When overridden in a derived class, creates a new code compiler.

Namespace: System.CodeDom.Compiler
Assembly: System (in system.dll)

[ObsoleteAttribute("Callers should not use the ICodeCompiler interface and should instead use the methods directly on the CodeDomProvider class. Those inheriting from CodeDomProvider must still implement this interface, and should exclude this warning or also obsolete this method.")] 
public abstract ICodeCompiler CreateCompiler ()
/** @attribute ObsoleteAttribute("Callers should not use the ICodeCompiler interface and should instead use the methods directly on the CodeDomProvider class. Those inheriting from CodeDomProvider must still implement this interface, and should exclude this warning or also obsolete this method.") */ 
public abstract ICodeCompiler CreateCompiler ()
ObsoleteAttribute("Callers should not use the ICodeCompiler interface and should instead use the methods directly on the CodeDomProvider class. Those inheriting from CodeDomProvider must still implement this interface, and should exclude this warning or also obsolete this method.") 
public abstract function CreateCompiler () : ICodeCompiler
Not applicable.

Return Value

An ICodeCompiler that can be used for compilation of System.CodeDom based source code representations.

This method is obsolete in the Microsoft .NET Framework version 2.0. The recommended alternative is to call the ICodeCompiler methods that are directly available in the code provider.

Notes to Inheritors: In the .NET Framework 2.0, you should implement the ICodeCompiler members in the CodeDomProvider class and throw a NotSupportedException when this method is called.

Windows 98, Windows Server 2000 SP4, Windows Millennium Edition, Windows Server 2003, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP SP2, Windows XP Starter Edition

The Microsoft .NET Framework 3.0 is supported on Windows Vista, Microsoft Windows XP SP2, and Windows Server 2003 SP1.

.NET Framework

Supported in: 1.0, 1.1, 2.0
Obsolete (compiler warning) in 3.0

Community Additions

ADD
Show:
© 2014 Microsoft